DotsDocs
Accounts payable

Pay a payable

Pay a payable that has been approved.

POST
/v2/accounts-payable/payables/{payable_id}/pay

Pay a payable that has been approved.

AuthorizationBasic <token>

In: header

Path Parameters

payable_id*string

The ID of the Payable

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v2/accounts-payable/payables/string/pay" \  -H "Content-Type: application/json" \  -d '{    "acting_user_id": 0  }'
{  "action_history": [    {      "action": "create",      "comment": "string",      "timestamp": "2019-08-24T14:15:22Z",      "user_id": 0,      "user_name": "string",      "user_role": "admin"    }  ],  "amount": 0,  "funding_source": "dots_balance",  "ap_payment_method_id": "28f132b1-f0a2-422b-9728-58c4a1faf46b",  "ap_payment_method_name": "string",  "ap_vendor_id": "63c4dcdb-7a3c-416d-924a-f16ff91e692f",  "ap_vendor_name": "string",  "api_app_id": "ad6a2ad4-d593-4e3e-bfd5-50592ed119ca",  "approval_steps": [    {      "completed": true,      "completed_timestamp": "2019-08-24T14:15:22Z",      "num_approvals_required": 0,      "user_approvals": [        {          "approval_comment": "string",          "approval_given": true,          "approval_timestamp": "2019-08-24T14:15:22Z",          "name": "string",          "user_id": 0        }      ]    }  ],  "created": "2019-08-24T14:15:22Z",  "currency": "string",  "description": "string",  "external_id": "string",  "file_url": "http://example.com",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "items": [    {      "amount": 1,      "description": "string",      "name": "string",      "quantity": 1,      "unit_price": 1    }  ],  "number": "string",  "status": "string",  "status_history": [    {      "status": "created",      "timestamp": "2019-08-24T14:15:22Z"    }  ],  "transfer_history": [    {      "created_timestamp": "2019-08-24T14:15:22Z",      "idempotency_key": "0cd90e5a-2c03-4ab6-81a8-d48818026e58",      "transfer_id": "d4a2d8dd-7def-4545-a062-761683b9aa05"    }  ],  "transfer_id": "d4a2d8dd-7def-4545-a062-761683b9aa05",  "updated": "2019-08-24T14:15:22Z"}